package de.fraunhofer.iem.dataprovider.toolRun.dto

import de.fraunhofer.iem.dataprovider.tool.dto.ToolResponseDto
import de.fraunhofer.iem.dataprovider.toolRun.entity.ToolRunEntity
import java.util.*

data class ToolRunDto(val id: UUID, val createdAt: String, val repoId: Long, val tools: List<ToolResponseDto>) {
    companion object {
        fun getDtoFromEntityWithToolFindings(toolRunEntity: ToolRunEntity, tools: List<ToolResponseDto>): ToolRunDto {
            if (toolRunEntity.id != null) {
                return ToolRunDto(
                    id = toolRunEntity.id!!,
                    createdAt = toolRunEntity.createdAt.toString(),
                    repoId = toolRunEntity.repository.projectId,
                    tools = tools
                )
            }
            throw Exception("Trying to instantiate ToolRunDto with an empty id $toolRunEntity")
        }
    }
}
